# -*- coding: utf-8 -*-


from django.test import TestCase
from django.test.client import Client

from django.core.urlresolvers import reverse


class LiveTest(TestCase):
    """
    Test l'API pour savoir si un site répond bien.
    """
    client = Client()

    def test_live(self):
        url = reverse('pong')
        response = self.client.get(url)
        self.assertEqual(response.status_code, 200)
        self.assertTrue("Site fonctionnel" in response.content)
